package xyz.wbsite.module.admin.req;

import xyz.wbsite.frame.base.BaseFindRequest;
import java.util.Date;
import xyz.wbsite.frame.validation.Select;

/**
 * ConfigFindRequest - 配置预设查询
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2021-02-08
 */
public class ConfigFindRequest extends BaseFindRequest {

    /**
     * 配置名称.
     */
    private String confName;

    /**
     * 配置名称模糊查询.
     */
    private String confNameLike;

    /**
     * 配置类型.
     * HTTP:全局配置
     * SERVER:主机配置
     * LOCATION:路径配置
     */
    @Select({"HTTP", "SERVER", "LOCATION"})
    private String confType;

    /**
     * 配置属名.
     */
    private String confKey;

    /**
     * 配置属名模糊查询.
     */
    private String confKeyLike;

    /**
     * 配置属值.
     */
    private String confValue;

    /**
     * 配置属值模糊查询.
     */
    private String confValueLike;

    /**
     * 配置备注模糊查询.
     */
    private String confNoteLike;

    /**
     * 开始日期.
     */
    private Date startDate;

    /**
     * 结束日期.
     */
    private Date endDate;

    public String getConfName() {
        return this.confName;
    }

    public void setConfName(String confName) {
        this.confName = confName;
    }

    public String getConfNameLike() {
        return this.confNameLike;
    }

    public void setConfNameLike(String confNameLike) {
        this.confNameLike = confNameLike;
    }

    public String getConfType() {
        return this.confType;
    }

    public void setConfType(String confType) {
        this.confType = confType;
    }

    public String getConfKey() {
        return this.confKey;
    }

    public void setConfKey(String confKey) {
        this.confKey = confKey;
    }

    public String getConfKeyLike() {
        return this.confKeyLike;
    }

    public void setConfKeyLike(String confKeyLike) {
        this.confKeyLike = confKeyLike;
    }

    public String getConfValue() {
        return this.confValue;
    }

    public void setConfValue(String confValue) {
        this.confValue = confValue;
    }

    public String getConfValueLike() {
        return this.confValueLike;
    }

    public void setConfValueLike(String confValueLike) {
        this.confValueLike = confValueLike;
    }

    public String getConfNoteLike() {
        return this.confNoteLike;
    }

    public void setConfNoteLike(String confNoteLike) {
        this.confNoteLike = confNoteLike;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }
}
