<div id="app" v-cloak>
    <div class="form-search">
        <el-form ref="vm" :model="vm" :inline="true" :label-width="'70px'">
            <el-form-item label="配置名称" prop="confName" size="mini">
                <el-input v-model="vm.confName" @keyup.enter.native="onSearch" clearable size="mini" placeholder="请输入配置名称"></el-input>
            </el-form-item>
                <el-form-item label="配置名称" prop="confNameLike" size="mini">
                    <el-input v-model="vm.confNameLike" @keyup.enter.native="onSearch" clearable size="mini" placeholder="请输入配置名称模糊查询"></el-input>
                </el-form-item>
            <el-form-item label="配置类型" prop="confType" size="mini">
                <el-select v-model="vm.confType" clearable size="mini" filterable placeholder="请输入配置类型">
                    <el-option key="HTTP" label="全局配置" value="HTTP"></el-option>
                    <el-option key="SERVER" label="主机配置" value="SERVER"></el-option>
                    <el-option key="LOCATION" label="路径配置" value="LOCATION"></el-option>
                </el-select>
            </el-form-item>
            <el-form-item label="配置属名" prop="confKey" size="mini">
                <el-input v-model="vm.confKey" @keyup.enter.native="onSearch" clearable size="mini" placeholder="请输入配置属名"></el-input>
            </el-form-item>
                <el-form-item label="配置属名" prop="confKeyLike" size="mini">
                    <el-input v-model="vm.confKeyLike" @keyup.enter.native="onSearch" clearable size="mini" placeholder="请输入配置属名模糊查询"></el-input>
                </el-form-item>
            <el-form-item label="配置属值" prop="confValue" size="mini">
                <el-input v-model="vm.confValue" @keyup.enter.native="onSearch" clearable size="mini" placeholder="请输入配置属值"></el-input>
            </el-form-item>
                <el-form-item label="配置属值" prop="confValueLike" size="mini">
                    <el-input v-model="vm.confValueLike" @keyup.enter.native="onSearch" clearable size="mini" placeholder="请输入配置属值模糊查询"></el-input>
                </el-form-item>
                <el-form-item label="配置备注" prop="confNoteLike" size="mini">
                    <el-input v-model="vm.confNoteLike" @keyup.enter.native="onSearch" clearable size="mini" placeholder="请输入配置备注模糊查询"></el-input>
                </el-form-item>
            <el-form-item label="开始日期" prop="startDate" size="mini">
                <el-date-picker v-model="vm.startDate" clearable size="mini" placeholder="请输入开始日期" type="datetime" value-format="yyyy-MM-dd HH:mm:ss"></el-date-picker>
            </el-form-item>
            <el-form-item label="结束日期" prop="endDate" size="mini">
                <el-date-picker v-model="vm.endDate" clearable size="mini" placeholder="请输入结束日期" type="datetime" value-format="yyyy-MM-dd HH:mm:ss"></el-date-picker>
            </el-form-item>
            <el-form-item size="mini">
                <el-button-group>
                    <el-button type="primary" size="mini" icon="el-icon-search" @click="onSearch">搜索</el-button>
                    <el-button type="warning" size="mini" icon="el-icon-refresh-left" @click="onReset('vm')">重置</el-button>
                </el-button-group>
            </el-form-item>
        </el-form>
    </div>

    <div class="form-table">
        <el-row type="flex" justify="space-between">
            <el-button-group>
            <#if token.hasRes("/ajax/admin/config/create")>
                <el-button type="success" size="mini" icon="el-icon-plus" @click="onCreate">新增</el-button>
            </#if>
            <#if token.hasRes("/ajax/admin/config/delete")>
                <el-button type="danger" size="mini" icon="el-icon-delete" @click="onBitchDelete">删除</el-button>
            </#if>
            </el-button-group>

            <el-button-group style="float: right;">
                <#if token.hasRes("/ajax/admin/config/template")>
                <el-tooltip effect="dark" content="Excel导入模板下载" placement="bottom">
                    <el-button size="mini" icon="el-icon-date" @click="onTemplate"></el-button>
                </el-tooltip>
                </#if>

                <#if token.hasRes("/ajax/admin/config/imports")>
                <el-tooltip effect="dark" content="Excel导入" placement="bottom">
                    <el-button size="mini" icon="el-icon-upload2" @click="onImport"></el-button>
                </el-tooltip>
                </#if>

                <#if token.hasRes("/ajax/admin/config/exports")>
                <el-tooltip effect="dark" content="Excel导出" placement="bottom">
                    <el-button size="mini" icon="el-icon-download" @click="onExport"></el-button>
                </el-tooltip>
                </#if>

                <el-tooltip effect="dark" content="刷新" placement="bottom">
                    <el-button size="mini" icon="el-icon-refresh" @click="onFind"></el-button>
                </el-tooltip>
            </el-button-group>
        </el-row>

        <el-table
                :data="result"
                :size="'mini'"
                :border="true"
                :stripe="true"
                :empty-text="'无数据'"
                @selection-change="onSelectionChange">
            <el-table-column
                    align="center"
                    width="45"
                    type="selection">
            </el-table-column>
            <el-table-column
                    align="center"
                    width="140"
                    prop="id"
                    label="主键">
            </el-table-column>
            <el-table-column
                    align="center"
                    min-width="180"
                    prop="confName"
                    label="配置名称"
                    show-overflow-tooltip>
            </el-table-column>
            <el-table-column
                    align="center"
                    min-width="100"
                    prop="confType"
                    label="配置类型">
                <template slot-scope="scope">
                    <el-tag size="mini" v-if="scope.row.confType == 'HTTP'">全局配置</el-tag>
                    <el-tag size="mini" v-if="scope.row.confType == 'SERVER'">主机配置</el-tag>
                    <el-tag size="mini" v-if="scope.row.confType == 'LOCATION'">路径配置</el-tag>
                </template>
            </el-table-column>
            <el-table-column
                    align="center"
                    min-width="180"
                    prop="confKey"
                    label="配置属名"
                    show-overflow-tooltip>
            </el-table-column>
            <el-table-column
                    align="center"
                    min-width="180"
                    prop="confValue"
                    label="配置属值"
                    show-overflow-tooltip>
            </el-table-column>
            <el-table-column
                    align="center"
                    min-width="180"
                    prop="confNote"
                    label="配置备注"
                    show-overflow-tooltip>
            </el-table-column>
            <el-table-column
                    align="center"
                    min-width="140"
                    prop="createTime"
                    label="创建时间">
            </el-table-column>
            <el-table-column
                    align="center"
                    width="120"
                    fixed="right"
                    label="操作">
                <template slot-scope="scope">
                    <wb-table-ops :arg="scope.row">
                        <#if token.hasRes("/ajax/admin/config/update")>
                        <wb-table-op slot="menu" icon="el-icon-edit" @click="onEdit">编辑</wb-table-op>
                        </#if>
                        <#if token.hasRes("/ajax/admin/config/delete")>
                        <wb-table-op slot="menu" icon="el-icon-delete" @click="onDelete">删除</wb-table-op>
                        </#if>
                    </wb-table-ops>
                </template>
            </el-table-column>
        </el-table>

        <el-pagination
                background
                v-if="vm.totalCount > vm.pageSize"
                style="margin-top: 10px"
                @current-change="onPageChange"
                @size-change="onPageSizeChange"
                :current-page="vm.pageNumber"
                :page-size="vm.pageSize"
                layout="total, sizes, prev, pager, next, jumper"
                :total="vm.totalCount">
        </el-pagination>
    </div>

    <el-dialog
            :fullscreen="false"
            :title="form.formTitle"
            :custom-class="'form-dialog'"
            :close-on-click-modal="false"
            :close-on-press-escape="false"
            :modal-append-to-body="true"
            :visible.sync="form.formShow">

        <el-page-header slot="title" @back="form.formShow = false" :content="form.formTitle"></el-page-header>

        <el-form
                :ref="'form'"
                :model="form"
                :inline="true"
                :rules="formRules"
                :label-width="'85px'"
                :label-position="'right'">
            <el-form-item label="配置名称" prop="confName" size="mini">
                <el-input v-model="form.confName" clearable size="mini" placeholder="请输入配置名称" maxlength="50"></el-input>
            </el-form-item>
            <el-form-item label="配置类型" prop="confType" size="mini">
                <el-select v-model="form.confType" clearable size="mini" filterable placeholder="请输入配置类型">
                        <el-option key="HTTP" label="全局配置" value="HTTP"></el-option>
                        <el-option key="SERVER" label="主机配置" value="SERVER"></el-option>
                        <el-option key="LOCATION" label="路径配置" value="LOCATION"></el-option>
                </el-select>
            </el-form-item>
            <el-form-item label="配置属名" prop="confKey" size="mini">
                <el-input v-model="form.confKey" clearable size="mini" placeholder="请输入配置属名" maxlength="50"></el-input>
            </el-form-item>
            <el-form-item label="配置属值" prop="confValue" size="mini" class="full">
                <el-input v-model="form.confValue"
                          rows="7"
                          clearable
                          size="mini"
                          maxlength="255"
                          type="textarea"
                          show-word-limit
                          placeholder="请输入配置属值"></el-input>
            </el-form-item>
            <el-form-item label="配置备注" prop="confNote" size="mini" class="full">
                <el-input v-model="form.confNote"
                          rows="7"
                          clearable
                          size="mini"
                          maxlength="255"
                          type="textarea"
                          show-word-limit
                          placeholder="请输入配置备注"></el-input>
            </el-form-item>
        </el-form>

        <span slot="footer" class="dialog-footer">
			<el-button size="mini" @click="form.formShow = false">取消</el-button>
			<el-button size="mini" type="primary" @click="onSave">保存</el-button>
		</span>
    </el-dialog>
</div>
<script>
    var app = new Vue({
        mixins: [mixinForMgr],
        el: "#app",
        data: {
            module: 'admin',
            target: 'config',
            vm: {//条件及分页参数
                confName: null,
                confNameLike: null,
                confType: null,
                confKey: null,
                confKeyLike: null,
                confValue: null,
                confValueLike: null,
                confNoteLike: null,
                startDate: null,
                endDate: null,
                pageNumber: 1,
                pageSize: 10,
                totalCount: 0,
                sortKey:'CREATE_TIME',
                sortType:'DESC'
            },
            form: {//待提交表单
                formTitle: "",
                formShow: false,
                id: null,
                confName: null,
                confType: null,
                confKey: null,
                confValue: null,
                confNote: null,
                rowVersion: null
            },
            formRules: {
                confName: [
                    {required: true, message: '配置名称不能为空', trigger: 'blur'},
                    {min: 1, max: 50, message: '配置名称长度在 1 到 50 个字符', trigger: 'blur'}
                ],
                confType: [
                    {required: true, message: '配置类型不能为空', trigger: 'blur'},
                ],
                confKey: [
                    {required: true, message: '配置属名不能为空', trigger: 'blur'},
                    {min: 1, max: 50, message: '配置属名长度在 1 到 50 个字符', trigger: 'blur'}
                ],
                confValue: [
                    {required: true, message: '配置属值不能为空', trigger: 'blur'},
                    {min: 1, max: 255, message: '配置属值长度在 1 到 255 个字符', trigger: 'blur'}
                ],
                confNote: [
                    {min: 1, max: 255, message: '配置备注长度在 1 到 255 个字符', trigger: 'blur'}
                ],
            }
        },
        methods: {
            onCreate: function () {
                this.form.formTitle = "配置预设新增";
                this.form.formShow = true;
                this.form.id = "";
                this.form.confName = "";
                this.form.confType = "";
                this.form.confKey = "";
                this.form.confValue = "";
                this.form.confNote = "";
            },
            onEdit: function (item) {
                this.form.formTitle = "配置预设编辑";
                this.form.formShow = true;
                this.form.id = item.id;
                this.form.confName = item.confName;
                this.form.confType = item.confType;
                this.form.confKey = item.confKey;
                this.form.confValue = item.confValue;
                this.form.confNote = item.confNote;
                this.form.rowVersion = item.rowVersion;
            }
        },
        mounted: function () {
            this.onFind();
        },
    })
</script>
